/*      jQuery(document).bind('keydown.Ctrl_s',function(){
 SalvarEvento();
 return false
 })*/

$(document).ready(function (e) {

  // Função que Ativa salva só de 10 em 10 segundos quando
  // for digitado algo nos campos
  /*
   * var FormEvento = $('#formEvento').serialize();
   * setInterval(function(){ var FormEventoVerificador =
   * $('#formEvento').serialize();
   * 
   * 
   * 
   * if(FormEvento != FormEventoVerificador){
   * 
   * 
   * 
   * SalvarEvento();
   * 
   * 
   * 
   * FormEvento = $('#formEvento').serialize();
   * 
   *  }
   * 
   * 
   * 
   * 
   * 
   * 
   * 
   * 
   * 
   * 
   * 
   * },10000);
   */

  /*
   $(document).bind('keydown.f1',function(){
   alert('f1 na alta');
   return false;
   })
   
   */
  $(document).on('click', ".btnControleBTN", function () {
    var tipo = $(this).attr('href');
    var onde = $(this).attr('onde');
    if (tipo == '1') {

      $('#' + onde).button({disabled: true});
      AlterarEstadoBotao(onde, tipo);

    } else {

      $('#' + onde).button({disabled: false});
      AlterarEstadoBotao(onde, tipo);

    }

    return false;

  })



  $(document).on('click', '.btnLinkIntegra', function () {
    Aguarde(true);
    var website = $(this).attr('website');
    var desc = $(this).attr('desc');
    var id_evento = $(this).attr('id_evento');
    var foto = '';
    $.ajax({
      type: "POST",
      url: 'website/ax.website.php',
      data: 'ax=UmaFotoWebSite&id_evento=' + id_evento,
      success: function (R) {
        Aguarde(false);
        show('Copie o código abaixo e cole em seu site ou blog<br/><textarea  style="width:100%; height:180px"><a href="http://www.vfoto.com.br/website.php?website=' + website
                + '" target="_blank"><img class="fotoWeb" src="' + R + '"/><br/>' + desc + '</a></textarea><br/><a href="http://www.vfoto.com.br/website.php?website=' + website
                + '" target="_blank"><img class="fotoWeb" src="' + R + '"/><br/>' + desc + '</a>');

      },
    }) // fim ajax



    return false;
  })

  $(document).on('click', '#btnEnviarEmail', function () {
    $('#pnSendEmail').dialog('open');
    return false;
  })

  $('#pnSendEmail').dialog({
    autoOpen: false,
    modal: true,
    resizable: false,
    height: 300, // altura
    width: 550,
    buttons: {
      'Enviar Email': function () {
        var mensagem = $('#edtSendEmail').val();
        var id_evento = $('#id_evento').val();
        sendEmail(id_evento, mensagem);
        $(this).dialog('close');
      },
      'Cancelar': function () {
        $(this).dialog('close')
      }
    }
    // largura
  })




  // add cheque retorno Duplicidade de pagamento faz parte do
  // script pagamento

  $(document).on('click', '#btnAddEventoClienteCheque', function () {
    ClienteCheque.InsertEventoCheque($('#id_evento').val(), $(this).attr('id_cliente_cheque'), 'pnRetornCadClienteCheque');
    ClienteCheque.Select($('#id_evento').val(), 'pnDadosCliente', '1');
    $('#pnCadClienteCheque').dialog('close');

    return false;

  })

  // remover o cheque

  $(document).on('click', '#btnDeletarClienteCheque', function () {
    var id_cliente_cheque = $(this).attr('id_cliente_cheque')
    Confirmacao('Gostaria de remover esté cheque?', function () {
      ClienteCheque.Remove(id_cliente_cheque);
      ClienteCheque.Select($('#id_evento').val(), 'pnDadosCliente', '1');
    });
    return false;

  })

  // deleta o pagamento não quitado

  $(document).on('click', '#btnDeleteNQ', function () {
    Confirmacao('Gostaria de deletar esté valor não quitado?', function () {
      NaoQuitados.Delete($('#btnDeleteNQ').attr('id_recebimento'), $('#id_evento').val());
    })

    /*if (confirm('Gostaria de deletar esté valor não quitado?')) {
     NaoQuitados.Delete($(this).attr('id_recebimento'), $('#id_evento').val());
     }*/
    return false;
  })

  // / este escript é da previa ADD NOVA PREVIA

  $('.btnMudarTipo').on('click', function () {
    var
            tipo_evento_atual = $('#edtTipoEvento').val();
    id_tipo_evento_local = $(this).attr('id_tipo');
    FuncaoMudaUsuario(function () {
      MudarUsuario(function () {
        MudarTipoEvento(id_tipo_evento_local, $('#boxLogin').html(), tipo_evento_atual)
      });
    });

    return false;
  });


  $('#pnAlterarTipoEvento').dialog({
    autoOpen: false,
    modal: true,
    resizable: false,
    height: 400, // altura
    width: 350
            // largura
  })

  $('#btnMudarTipoEventoNew').on('click', function () {
    $('#pnAlterarTipoEvento').dialog('open');
    return false;
  })



  $('#btnMudarData').on('click', function () {
    $('#pnAlterarData').dialog('open');
    return false;
  });


  var DataCalendarioAlterarDataEvento;
  $("#datepicker").datepicker({
    minDate: -0,
    onSelect: function (dateText, inst) {
      DataCalendarioAlterarDataEvento = dateText; //the first parameter of this function
      ConsultaEvento(DataCalendarioAlterarDataEvento);
      // alert(dataAtual);
    }

  });


  $('#pnAlterarData').dialog({
    autoOpen: false,
    modal: true,
    resizable: false,
    height: 400, // altura
    width: 700,
    buttons: {
      'Mudar Data': function () {

        if (confirm('Gostaria realmente de mudar a data do Evento do dia ' + $('#edtDataEvento').val() +
                ' para o dia ' + DataCalendarioAlterarDataEvento)) {

          FuncaoMudaUsuario(function () {
            MudarUsuario(function () {
              AlterarDataEvento($('#edtDataEvento').val(), DataCalendarioAlterarDataEvento, $('#boxLogin').html())
            });
          });
          //AlterarDataEvento($('#edtDataEvento').val(), DataCalendarioAlterarDataEvento, $('#boxLogin').html())
        }
      },
      'Cancelar': function () {
        $(this).dialog('close')
      }
    }
    // largura
  })





  $(document).on('click', '#btnAgendarPrevia', function () {

    if ($('#EdtDataEvento').val() == '') {

      show('Informe uma data');

      return false;

    }

    if ($('#stLocalPrevia').val() == '-1') {

      show('Selecione o Local da Prévia');

      return false;

    }

    if ($('#edtHoraPrevia').val() == '') {

      show('Informe a hora');

      return false;

    }

    var form = $('#formAddPrevia').serialize();

    var id_evento = $(this).attr('id_evento');

    SalvarPrevia(form, id_evento);

    return false;

  })


  // DELETEAR PREVIA DO EVENTO

  $(document).on('click', '#btnDeletarPrevia', function () {

    var id_previa = $(this).attr('id_previa');

    Confirmacao('Gostaria de Deletar está prévia?', function () {
      DeletarPrevia(id_previa);

    })
    //if (confirm('Gostaria de Deletar está prévia?'))
    return false;

  })

  // deleta iten do produto

  $(document).on('click', '#btnDeleteItens', function () {

    var id_evento_itens_produto = $(this).attr('id_evento_itens_produto');
    var pn = $(this).attr('pn');

    //if (confirm('Gostaria de Apagar esté produto?')) {
    Confirmacao('Gostaria de Apagar esté produto?', function () {
      Produto.DeleteProduto(id_evento_itens_produto);
      $('#' + pn).hide('slow');
    })

    //}

    return false;

  })

  // Impressão de Contrato

  $(document).on('click', '#btnImprimirContrato', function () {
    if ($('#edtNomeContrato').val() == '') {
      show('Nome no Contrato não foi preenchido');
      return false;
    }

    if ($('#edtCpf').val() == '') {
      show('CPF no Contrato não foi preenchido');
      return false;
    }

    if ($('#edtRg').val() == '') {
      show('RG no Contrato não foi preenchido');
      return false;
    }

    if ($('#edtCEP').val() == '') {
      show('CEP no Contrato não foi preenchido');
      return false;
    }

    if ($('#edtEndereco').val() == '') {
      show('Endereço no Contrato não foi preenchido');
      return false;
    }

    if ($('#edtCidade').val() == '') {
      show('Cidade no Contrato não foi preenchido');
      return false;
    }

    if ($('#edtHora').val() == '') {
      show('Hora do Evento não foi preenchido');
      return false;

    }

    if ($('#edtValor').val() == '0,00') {
      show('Valor do Contrato não foi preenchido');
      return false;
    }

    if (($('#edtTipoEventoNumero').val() != '12')
            && ($('#edtTipoEventoNumero').val() != '8')
            && ($('#edtTipoEventoNumero').val() != '11')
            && ($('#edtTipoEventoNumero').val() != '10'))
      if ($('#edtWebSite').val() == '')
        if ($('#edtWebSiteConfig').val() == 'S') {
          show('Web Site do Evento não foi preenchido');
          return false;
        }

    if ($('#edtQuantidadeProduto').val() == '0') {
      show('Sem produto adicionados');
      return false;
    }
    var ValorContrato = $('#edtValorContrato').val();
    var ValorRecebido = $('#edtValorPg')
            .val();

    if (ValorContrato == '0') {
      show('Valor do Contrato é igual a "0" Zero, verifique');
      return false;
    }

    if (parseFloat(ValorContrato) != parseFloat(ValorRecebido)) {
      show('O valor a receber + o valor recebido não confere com o valor do contrato.');
      return false;
    }

    if (($('#edtTipoEventoNumero').val() != '12')
            && ($('#edtTipoEventoNumero').val() != '8')
            && ($('#edtTipoEventoNumero').val() != '11')
            && ($('#edtTipoEventoNumero').val() != '10'))
      if ($('#edtDadosEncadernacao').val() == '') {
        show('Não foi lançado nada a aba Encadernação.<br>Informe os dados para a encadernação, caso não tenha encadernação inform que não tem');
        return false;

      }

    // FuncaoMudaUsuario();

    var ValorContrato = $(this).attr('valor');
    //show('sfdas');
    //FuncaoMudaUsuarioEvento();
    FuncaoMudaUsuario(
            function () {
              MudarUsuario(
                      function () {

                        $('#pnImpressaoContrato').dialog('open');
                      })
            }
    );
    //InsertHistorioPrintContrato($('#id_evento').val(),ValorContrato);


    /*window.open('evento/impressao_contrato.php?id_evento='
     + $('#id_evento').val()
     + '&tipo='
     + $('#edtTipoEventoNumero').val(), '_blank');*/
    //SelectHistoricoContrato($('#id_evento').val());
    return false;

  })

  // Imprimir Recibo

  $(document).on('click', '#btnImprimirRelGeral', function () {
    window.open('evento/pagamento/recibo_pagamento.php?id_evento=' + $('#id_evento').val(), '_blank');
    return false;

  })



  $('#pnImpressaoContrato').dialog({
    autoOpen: false,
    modal: true,
    resizable: false,
    height: 300, // altura
    buttons: {
      'Imprimir Contrato': function () {
        InsertHistorioPrintContrato($('#id_evento').val(), $('#edtValorContrato').val());
        SelectHistoricoContrato($('#id_evento').val());
        window.open('evento/impressao_contrato.php?id_evento='
                + $('#id_evento').val()
                + '&tipo='
                + $('#edtTipoEventoNumero').val(), '_blank');

        $(this).dialog('close')
      }
    }
    // largura
  })

  // ////////////////////Imprimir Cartão Web Site em
  // Contrato///////////////////////

  $('#btnImprimirCartaoWebSite').on('click', function () {

    show('tem que fazer');

    return false

  })

  // ////////////////////btnSalvarValorEvento em pagamento
  // /////////////////////////////////////////////////

///$( document ).on( "click", "a.offsite", function() {
  // alert( "Goodbye!" );  // jQuery 1.7+
//});

  $(document).on('click', '#btnSalvarValorEvento', function () {

    var id_evento = $('#id_evento').val();

    var valor = $('#edtValor').val();

    $('#edtValorSalvo').val(moeda2float(valor));

    $.ajax({
      type: "POST",
      url: "evento/pagamento/ax.pagamento.php",
      data: 'ax=SalvarValorContrato&id_evento=' + id_evento + '&valor=' + valor,
      beforeSend: function () {
        $("#pnSalvarValorEvento").html('<img src="img/salvando.gif"/>').fadeIn('slow');
      },
      success: function (R) {
        $(
                "#pnSalvarValorEvento")
                .html(
                        'Salvo com sucesso.')
                .fadeIn('slow');

        $(
                "#pnSalvarValorEvento")
                .addClass(
                        'ui-state-highlight ui-corner-all');

        // setInterval(function(){

        // $("#pnRetornoEvento").removeClass('ui-state-highlight
        // ui-corner-all').fadeIn('slow');

        // $("#pnRetornoEvento").html('').fadeIn('slow');

        // }, 5000);

        runEffect(
                '#pnSalvarValorEvento',
                6, 1000);

      },
      error: function (R) {
        $(
                "#pnSalvarValorEvento")
                .html(
                        'Falha ao salvar verifique, ou tente novamente!')
                .fadeIn('slow');

        $(
                "#pnSalvarValorEvento")
                .addClass(
                        'ui-state-error ui-corner-all');

      }

    }) // fim ajax

    return false;

  })

  // novo lancamento em pagamento

  $(document).on('click', '#btnNovoVencimento', function () {

    var valor_contrato = $('#edtValorSalvo').val();

    // alert(parseFloat(valor_contrato));

    if (!parseFloat(valor_contrato) != parseFloat(0.00)) {

      show('Valor do Contrato não informado ou não salvo');

      return false;

    }

    $('#edtValorNQuitado').val(float2moeda($('#edtValorSalvo').val()));

    $('#pnRepetirNQ').show();

    $('#edtControleNQ').val('Insert');

    $('#pnReceberNaoQuitado').dialog('open');

    return false;

  })

  // carregar WebSite

  $(document).on('click', '#btnCarregaFotoWebSite', function () {

    var album = $(this).attr('album');

    var usuario = $(this).attr('usuario');

    var pag = $(this).attr('pag');

    var cont = $(this).attr('cont');

    $
            .ajax({
              type: "POST",
              url: "website/ax.website.php",
              data: 'ax=WebSite&album='
                      + album
                      + '&usuario='
                      + usuario + '&pag='
                      + pag,
              beforeSend: function () {
                $("#" + cont).html(
                        Load()).fadeIn(
                        'slow');
              },
              success: function (R) {
                $("#" + cont).html(R)
                        .fadeIn('slow');
              },
              error: function (R) {
                $("#" + cont)
                        .html(
                                'Falha ao carregar, ou tente novamente!')
                        .fadeIn('slow');

                $("#" + cont)
                        .html(
                                'ui-state-error ui-corner-all');

              }

            }) // fim ajax

    // Retorna todo os link da foto

    $
            .ajax({
              type: "POST",
              url: "website/ax.website.php",
              data: 'ax=RetornoScript&album='
                      + album
                      + '&usuario='
                      + usuario
                      + '&pag='
                      + pag,
              success: function (R) {
                $("#pnRetornoScript")
                        .html(R)
                        .fadeIn('slow');
              },
              error: function (R) {
                $("#pnRetornoScript")
                        .html(
                                'Falha ao carregar, ou tente novamente!')
                        .fadeIn('slow');

                $("#pnRetornoScript")
                        .html(
                                'ui-state-error ui-corner-all');

              }

            }) // fim ajax

    return false;

  })

  // ///////////////////////////////////////////////////fim
  // dos botoes do script de pagamento

  // ///////////////////////////////////////// Encadernação
  // //////////////////////////////////////////

  $(document).on('click', '#btnRasterizar', function () {

    var data = new Date();

    var dia = data.getDate(); // 1-31

    var dia_sem = data.getDay(); // 0-6
    // (zero=domingo)

    var mes = data.getMonth() + 1; // 0-11
    // (zero=janeiro)

    var ano4 = data.getFullYear(); // 4 dígitos

    var hora = data.getHours(); // 0-23

    var min = data.getMinutes(); // 0-59

    var rasterizar = '<br>Nome : '
            + $('#edtNome').val() + '<br>';

    rasterizar += 'Revestimento : '
            + $('#edtRevestimento').val() + '<br>';

    rasterizar += 'Acabamento : '
            + $('#edtAcabamento').val() + '<br>';

    rasterizar += 'Capa : ' + $('#edtCapa').val()
            + '<br>';

    rasterizar += 'Stylo : ' + $('#edtStylo').val()
            + '<br>';

    rasterizar += 'Laminação : '
            + $('#edtLaminacao').val() + '<br>';

    rasterizar += 'Quantidade de Fotos : '
            + $('#edtQtoFotos').val() + '<br>';

    rasterizar += 'Obs. : '
            + $('#edtObsEncadernacao').val()
            + '<br>';

    rasterizar += 'Data : ' + dia + '/' + mes + '/'
            + ano4 + ' ' + hora + ':' + min
            + '<br><br>';

    show(rasterizar);

    return false;

  })

  $(document).on('click', '#btnSalvarEncadernacao', function () {

    var id_evento = $('#id_evento').val();

    var id_evento_encadernacao = $(this)
            .attr('id_evento_encadernacao');

    var revestimento = $('#edtRevestimento')
            .val();

    var acabamento = $('#edtAcabamento')
            .val();

    var capa = $('#edtCapa').val();

    var stylo = $('#edtStylo').val();

    var laminacao = $('#edtLaminacao')
            .val();

    var qto_foto = $('#edtQtoFotos').val();

    var obs = $('#edtObsEncadernacao')
            .val();

    var tudo = revestimento + acabamento
            + capa + stylo + laminacao
            + qto_foto + obs;

    if (tudo == '') {

      DeletarEncadernacao(id_evento_encadernacao);

    } else {

      SalvarEncadernacao(id_evento,
              id_evento_encadernacao,
              revestimento, acabamento,
              capa, stylo, laminacao,
              qto_foto, obs);

    }

    return false;

  })

  // /////////////////////////////////////////Fim
  // Encadernação //////////////////////////////////////////

  // ///////////////////////////////////////// web
  // Site//////////////////////////////////////////

  $(document).on('click', '#btnSenhaMenu', function () {

    SenhaResumo();

    $('#pnSenhaResumo').dialog('open');

    return false;

  })

  $(document).on('click', '#btnCriarX9', function () {
    var WebSite = $('#edtWebSite').val();
    var senha = $('#edtSenhaX9').val();
    var contrasenha = $('#edtContraSenhaX9').val();
    if (WebSite == '') {
      show('WebSite não Informado, verifique');
      return false;
    }
    if (senha == '') {
      show('Informe um senha');
      return false;
    }
    CriarX9(WebSite, senha, contrasenha);
    VerStatos(id_evento);
    return false;

  })

  $('#btnDeletarX9').on('click', function () {
    var id_x9 = $(this).attr('id_x9');
    var id_evento = $('#id_evento').val();
    if (confirm('Está ação apagará todas as fotos escolhidas, e seu cliente não poderá visualizar as fotos, gostaria de continuar?'))
      if (confirm('Gostaria mesmo de DELETAR o X9?'))
        DeletarX9(id_x9, id_evento);
    VerStatos(id_evento);

    return false;

  })

  $(document).on('click', '#btnSalvarX9', function () {

    var id_x9 = $(this).attr('id_x9');

    var senha = $('#edtSenhaX9').val();

    var contrasenha = $('#edtContraSenhaX9').val();

    if (senha == '') {

      show('Informe um senha');

      return false;

    }

    UpdateSenhaX9(id_x9, senha, contrasenha);

    $('#pnSenhaResumo').dialog('close');

    return false;

  })



  $(document).on('click', '#btnAtivarX9', function () {
    var id_x9 = $(this).attr('id_x9');
    UpdateX9Ativo(id_x9);
    VerStatos($('#id_evento').val());
    $('#pnSenhaResumo').dialog('close');

    return false;

  });



  $('#btnFotosEvento').on('click', function () {

    TabsFotosEventos();

    return false;

  })

  $('#btnResumo').on('click', function () {

    TabsResumo();

    return false;

  })

  $('#btnPrevia').on('click', function () {

    TabsPrevia();

    return false;

  })

  $('#btnAlbum').on('click', function () {

    TabsAlbum();

    return false;

  })

  $('#btnResumo, #btnPrevia, #btnFotosEvento, #btnX9picasa, #btnAmpliacao, #btnPreviaNoiva, #btnAlbum')
          .on('click', function () {

            $('.act').attr('class', '');

            $(this).attr('class', 'act');

            return false;

          });

  $(document).on('click', '#btnx9Ampliacao', function () {

    CarregarFotosEscolhidas('7', '0');

    return false;

  })

  $(document).on('click', '#btnx9Bioobom', function () {

    CarregarFotosEscolhidas('8', '0');

    return false;

  })

  $(document).on('click', '#btnx9Outros', function () {

    CarregarFotosEscolhidas('9', '0');

    return false;

  })

  $(document).on('click', '#btnx9Album', function () {

    CarregarFotosEscolhidas('5', '0');

    return false;

  })

  $(document).on('click', '#btnx9Capa', function () {

    CarregarFotosEscolhidas('6', '0');

    return false;

  })

  $(document).on('click', '#btnx9Layout', function () {

    CarregarLayoutAprovado();

    // CarregarFotosEscolhidas('10','0');

    // alert('sdf');

    // pnFotosWebSite

    return false;

  });

  $(document).on('click', '.btnX9', function () {

    $('.btnX9').removeClass('act');

    $(this).addClass('act');

    return false;

  })

  $(document).on('click', '.btnDeleteFTO', function () {

    var onde = $(this).attr('onde');

    var id_x9_local = $(this).attr(
            'id_x9_local');

    Confirmacao('Está ação apagarar todas as fotos selecionada da categoria '
            + onde, function () {
              DeleteFotosSeleciona(id_x9_local);


            })
    //if (confirm())



    return false;

  })

  $(document).on('click', '#btnLocalizarAllAlbumPicasa', function () {

    var usuario = $('input[name=rbUsuarioPicasa]:checked').val();

    if (!usuario) {
      show('Selecione um usuário do Picasa para continuar');

      return false;

    }

    LocalizarAllAlbunsPicasa(usuario, 0);

    $('#pnAllAlbunsPicasa').dialog('open');

    return false;

  })

  $(document).on('click', '#btnDeletarAlbum', function () {

    var id_album_picasa = $(this).attr('id_album_picasa');

    var id_evento = $('#id_evento').val();
    var id_x9_local = $(this).attr('id_x9_local');

    Confirmacao('Gostaria de deletar esté álbum?', function () {

      DeleteWebSite(id_album_picasa, id_evento);
      DeleteFotosSeleciona(id_x9_local);
    })
    //if (confirm()) {  }

    return false;

  })

  $(document).on('click', '.btnGetNomeAlbumPicasa', function () {

    $('#edtAlbum').val($(this).attr('idalbum'));

    $('#edtQtoFotosWebSite').val($(this).attr('qto_fotos'));

    $('#pnAllAlbunsPicasa').dialog('close');

    // Verifica se o album tem foto para a dição

    var usuario = $('input[name=rbUsuarioPicasa]:checked').val();

    var album = $('#edtAlbum').val();

    VerificarAlbumPicasa(album, usuario, 'pnResultadoLocAlbumPicasa', $('#id_evento').val());

    return false;

  })

  $(document).on('click', '#btnNovoAlbum', function () {
    if ($('#btnStatos').val() == '0') {
      show('Antes de adicionar uma álbum crie WebSite');
      return false;
    }

    if ($('#btnStatos').val() == '1') {
      show('Statos do WebSite está com Finalizado, assim o cliente não vai conseguir escolher nem uma foto. Verifique');
      return false;
    }



    CarregarX9LocalDescricao();

    $('#pnResultadoLocAlbumPicasa').html('');

    $('#edtAlbum').val('');

    $('#edtDescricao').val('');

    $('#edtSenhaWebSite').val($('#edtWebSite').val());

    CarregarUsuarioPicasa();

    $('#pnNovoAlbum').dialog('open');

    return false;

  })

  $(document).on('click', '#btnAlterarAlbum', function () {

    $('#pnNovoAlbum').dialog('open');

    return false;

  })

  $(document).on('click', '#btnLocalizarAlbumPicasa', function () {

    if (!$('input[name=rbUsuarioPicasa]:checked').val()) {

      show('Selecione um usuário do Picasa para continuar');

      return false;

    }

    if ($('#edtAlbum').val() == '') {

      show('Informe um álbum do Picasa');

      return false;

    }

    // Verifica se o album tem foto para a
    // dição

    var usuario = $(
            'input[name=rbUsuarioPicasa]:checked')
            .val();

    var album = $('#edtAlbum').val();

    VerificarAlbumPicasa(album, usuario,
            'pnResultadoLocAlbumPicasa');

    return false;

  })


  $(document).on('click', '#btnAddAlbumPicasa', function () {
    var usuario = $('input[name=rbUsuarioPicasa]:checked').val();
    var album = $('#edtAlbum').val();
    var descricao = $('#edtDescricao').val();
    var id_evento = $('#id_evento').val();
    var website = $('#edtSenhaWebSite').val();
    var qto_fotos = $('#edtQtoFotosWebSite').val();
    var destino = $('#edtLocalX9').val();
    var nome = $('#edtNome').val();
    var TipoEventoNumero = $('#edtTipoEventoNumero').val();

    if (destino == '-1') {
      show('Selecio o destino das fotos');
      return false;
    }

    if (destino == '1') {
      if (qto_fotos > 200) {
        if (!confirm('Você está adicionado mais de 200 fotos gostaria mesmo de adicionar isso tudo?')) {
          return false;
        }
      }
    }

    // Confirmação
    var id_usuario = $('#id_usuario').val();
    var id_album = $('#id_album').val();
    if (!usuario) {
      show('Selecione um usuário do Picasa para continuar');
      return false;
    }

    if (album == '') {
      show('Informe um álbum do Picasa');
      return false;
    }

    if (website == '') {
      show('Informe a senha do WebSite, na aba cliente e depois salve');
      return false;
    }

    if (destino == '1')
      descricao = $('#edtNome').val();


    if (id_usuario != usuario) {
      show('O usuário selecionado é diferente do usuário da pesquisa, verifique');
      return false;
    }

    if (id_album != album) {
      show('O álbum selecionado é diferente do álbum da pesquisa, verifique');
      return false;
    }

    //sende email para website, e previa novia
    if ((destino == '1') || (destino == '4')) {
      sendEmail(id_evento, 'Novas fotos já estão disponíves');
    }

    InsertAlbumPicasaWebSite(usuario, album, descricao, id_evento, website, qto_fotos, destino);

    if ((destino != '2') | (destino != '10')) {
      AlterarEstadoBotaoAll('0', '0', '0', '1', '1');
    }

    //Para Producao
    if (destino == '2') { // quando for foto do evento
      InserirProducao($('#id_evento').val(), 'Álbum', $('#boxLogin').html());
      AlterarEstadoBotaoAll('1', '1', '1', '0', '0');
      sendEmail(id_evento, 'Suas fotos do Evento já estão disponível');
      //InsertProducao('Álbum');  
    }

    if (destino == '3')
      sendEmail(id_evento, 'Suas fotos do Evento já estão disponível');
    // quando for previa
    // 2 book pessoal | 3 Book Sensual | 5 Criança | 10 Gravida
    // e ser for tipo de evento acima
    if ((TipoEventoNumero == '2') || (TipoEventoNumero == '3') ||
            (TipoEventoNumero == '5') || (TipoEventoNumero == '10')) {

      Confirmacao('Gostaria de Colocar este evento na produto?', function () {
        Aguarde(true);
        InserirProducao($('#id_evento').val(), 'Álbum', $('#boxLogin').html());
        AlterarEstadoBotaoAll('1', '1', '1', '1', '1');
      });
    }
    ;



    if (destino == '10') { // quando for layout
      UpdateProducaoSendEmail($('#id_evento').val(), '5', $('#boxLogin').html(), usuario, album, website, nome);
      AlterarEstadoBotaoAll('1', '1', '1', '1', '1');
    }

    return false;

  })


  $(document).on('click', '#btnVerFotoWebSite', function () {

    var album = $(this).attr('album');

    var usuario = $(this).attr('usuario');

    var pag = $(this).attr('pag');

    var cont = $(this).attr('cont');

    $
            .ajax({
              type: "POST",
              url: "website/ax.website.php",
              data: 'ax=WebSite&album='
                      + album
                      + '&usuario='
                      + usuario + '&pag='
                      + pag,
              beforeSend: function () {
                $("#" + cont).html(
                        Load()).fadeIn(
                        'slow');
              },
              success: function (R) {
                $("#" + cont).html(R)
                        .fadeIn('slow');
              },
              error: function (R) {
                $("#" + cont)
                        .html(
                                'Falha ao carregar, ou tente novamente!')
                        .fadeIn('slow');

                $("#" + cont)
                        .html(
                                'ui-state-error ui-corner-all');

              }

            }) // fim ajax

    return false;

  })

  $(document).on('click', '#btnAlterarDescAlbum', function () {

    $('#edtUpdDescricaoWebSite').val(
            $(this).attr('desc'));

    $('#id_album_picasa').val(
            $(this).attr('id_album_picasa'));

    $('#pnUpdateDescricaoWebSite').dialog('open');

    $('#edtUpdDescricaoWebSite').select();

    return false;

  })

  $(document).on('click', '#btnCarregarMaisAlbum', function () {

    var usuario = $(this).attr('usuario');

    var pag = $(this).attr('pag');

    LocalizarAllAlbunsPicasa(usuario, pag);

    return false;

  })

  // ////////////////////////////////////fim Web
  // Site///////////////////////////////////////////

  // Consulta CEP

  $(document).on('click', '#btnConsultaCEP', function () {
    var cep = $("#edtCEP").val();
    $('.spLoad').html('<img src="img/load_curto.gif">');
    $.getScript("http://republicavirtual.com.br/web_cep.php?cep=" + cep + "&formato=javascript",
            function () {
              var endereco = unescape(resultadoCEP.logradouro);
              var cidade = unescape(resultadoCEP.cidade);
              var bairro = unescape(resultadoCEP.bairro);
              var resultado = unescape(resultadoCEP.resultado);
              if (resultado == '0')
                show('Não foi localizado nem um endereço com esté CEP');
              $("#edtEndereco").val(endereco);
              $("#edtCidade").val(cidade);
              $("#edtBairro").val(bairro);
              $('.spLoad').html('');
              return false;
            });
    return false;

  })

  // Box Local

  $('#pnLocalizarLocalEvento').dialog({
    autoOpen: false,
    modal: true,
    resizable: false,
    height: 450, // altura
    width: 750
            // largura
  })

  /*          var Conf = new ConfirmacaoDelte();
   
   $('#pnConfirmacao___').dialog({
   autoOpen : false,
   modal : true,
   resizable : false,
   height : 220, // altura
   width : 300, // largura
   buttons : {
   'Deletar' : function() {
   Conf.Deletar();
   },
   
   'Cancelar' : function() {
   $('#pnConfirmacao___').dialog('close');
   }
   
   }
   
   })*/

  // box Email


  var ControleEmail;
  var id_evento_email;
  jQuery('#edtEmail').bind('keydown.return', function (event) {
    NextUi('Salvar');
    //$('.ui-dialog-buttonpane').find('button:contains("Salvar")').focus();
    //$(event.target).css({opacity: 0.25}).unbind();
    //$('#edtEmail').next();
    //show('asdf');
    return false;
  });

  $('#pnAddEmail').dialog({
    autoOpen: false,
    modal: true,
    resizable: false,
    height: 160, // altura
    width: 700, // largura
    buttons: {
      'Salvar': function (event) {

        var resposta = IsEmail($('#edtEmail').val());
        if (!resposta) {
          show('E-Mail Inválido', '#edtEmail');

          return false;
        }
        var email = $('#edtEmail').val();
        var id_evento = $('#id_evento').val();

        if (ControleEmail == 'Insert')
          InsertEmail(id_evento, email);

        if (ControleEmail == 'Alterar')
          AlterarEmail(id_evento_email, email, id_evento);

        $('#pnAddEmail').dialog('close');

      },
      'Cancelar': function () {
        $('#pnAddEmail').dialog('close');
      }

    }

  })

  // deletar email

  $(document).on('click', '#btnDeletarEmail', function () {
    var id_evento_email = $(this).attr('id_evento_email');
    var id_evento = $('#id_evento').val();
    var email = $(this).attr('email');

    ConfirmacaoCodigo('Gostaria de deletar este e-mail? ' + email, function () {
      DeletarEmail(id_evento_email, id_evento)
    })


    return false;

  })

  // alterar Email

  $(document).on('click', '#btnAlterarEmail', function () {
    var email = $(this).attr('email');
    id_evento_email = $(this).attr('id_evento_email');
    $('#edtEmail').val(email);
    ControleEmail = 'Alterar';
    $('#pnAddEmail').dialog('open');
    return false;
  })

  $('#pnUtilitarios').dialog({
    autoOpen: false,
    modal: true,
    resizable: false,
    height: 450, // altura

    width: 750
            // largura

  })

  $('#btnAddEmail').on('click', function () {

    ControleEmail = 'Insert';

    $('#edtEmail').val('');

    $('#pnAddEmail').dialog('open');

    return false;

  })

  // Botão Abre pnLocalizar somente para eventos e festa

  var tipo_evento;

  $(document).on('click', '.btnLocalEvento', function () {

    $('#pnDadosLocalizador').html('');

    $('#pnLocalizarLocalEvento').dialog('open');

    tipo_evento = $(this).attr('tipo');

    return false;

  })

  // Botão Localizar Itens

  $('#btnLocalizarItens').on('click', function () {

    LocalizarItens($('#edtLocalizarItens').val());

    $('#edtLocalizarItens').val('');

  })

  // Adiciona novo local da festa e do evento

  $(document).on('click', '.btnLocalizado', function () {

    var id_salao_igreja = $(this).attr('id_iten');

    if (tipo_evento == 'Evento') {

      InsertLocalEvento(id_salao_igreja);

    }

    if (tipo_evento == 'Festa') {

      InsertLocalFesta(id_salao_igreja);

    }

    $('#pnLocalizarLocalEvento').dialog('close');

    return false;

  })

  // Deletar Local do Evento

  $(document).on('click', '.btnDelLocalEvento', function () {

    var id_salao_igreja = $(this).attr('id_salao_igreja');
    //var confirma = confirm('Gostaria de Apagar esté Local?');

    //if (confirma) {
    ConfirmacaoCodigo('Gostaria de Apagar o local do evento?', function () {
      DeleteLocalEvento(id_salao_igreja);
    });
    //}

    return false;

  })

  // Deletar Local da Festa

  $('.btnDelLocalFesta').on('click', function () {

    var id_salao_igreja = $(this).attr('id_salao_igreja');

    //var confirma = confirm('Gostaria de Apagar local da Festa?');
    ConfirmacaoCodigo('Gostaria de Apagar local da Festa?', function () {
      DeleteLocalFesta(id_salao_igreja);
    });


    return false;

  })

  // Consulta WebSie

  $('#pnVerificarWebSite').dialog({
    autoOpen: false,
    modal: true,
    resizable: false,
    height: 250, // altura
    width: 550, // largura
    buttons: {
      'Limpar WebSite': function () {
        var velhoWebSite = $('#edtWebSite').val();
        var novoWebSite = '';
        AlterarWebSite(novoWebSite, velhoWebSite);
        $('#edtWebSite').val('');
        $('#edtWebSiteConfig').val('S');
        SalvarEvento();
        VerificarWebSiteConfig();
      },
      'Não Quero WebSite': function () {
        NaoQueroWebSite('N');
        var velhoWebSite = $('#edtWebSite').val();
        var novoWebSite = '';
        AlterarWebSite(novoWebSite, velhoWebSite);
        $('#edtWebSite').val('');
        $('#edtWebSiteConfig').val('N');
        SalvarEvento();
        VerificarWebSiteConfig();

      }
    }

  })



  $('#btnConsultaWebSite').on('click', function () {

    // VerificarWebsite($('#edtWebSite').val());

    $('#edtVerificarWebSite').val($('#edtWebSite').val());

    $('#pnResultadoWebSite').html('');

    $('#pnVerificarWebSite').dialog('open');

    return false;

  })

  $('#btnVerificarWebSite').on('click', function () {

    VerificarWebsite($('#edtVerificarWebSite').val());

    return false;

  })

  $(document).on('click', '#btnSalvarWebSite', function () {
    var velhoWebSite = $('#edtWebSite').val();
    var novoWebSite = $('#edtVerificarWebSite').val();
    AlterarWebSite(novoWebSite, velhoWebSite);
    $('#edtWebSite').val(novoWebSite);
    $('#edtWebSiteConfig').val('S');
    SalvarEvento();
    VerificarWebSiteConfig();

    return false;

  })


  // Salvar Evento

  $('#btnSalvarEvento').on('click', function () {

    SalvarEvento();

    return false;

  })

  $("#tabs, #tabs2").tabs({});

  $('#tabs').tabs();


  $("#config").menu();



  // Box Detalhes

  $('#pnDetalhes').dialog({
    autoOpen: false,
    modal: true,
    resizable: false,
    height: 450, // altura

    width: 750
            // largura

  })

  // ////////////////////////cinegrafista////////////////////////

  // Box Localizar Fotografo

  $('#pnLocalizarCine').dialog({
    autoOpen: false,
    modal: true,
    resizable: false,
    height: 450, // altura

    width: 750
            // largura

  })

  // botão add Fototografo

  $('#btnAddCinegrafista').on('click', function () {

    $('#pnLocalizarCine').dialog('open');

    return false;

  })

  // Botão Localizar fotografo

  $('#btnLocalizarCine').on('click', function () {

    var dados = $('#edtLocalizarCine').val();

    new ClassCinegrafista().Localizar(dados);

    $('#edtLocalizarCine').val('');

    return false;

  })

  // botão add fotografo

  $(document).on('click', '.btnLocalizadoCine', function () {

    var id_cinegrafista = $(this).attr('id_iten');

    new ClassCinegrafista().Insert(id_cinegrafista);

    $('#pnLocalizarCine').dialog('close');

    return false;

  })

  // botão deletar fotografo

  $(document).on('click', '#btnDelCine', function () {

    var id_cinegrafista = $(this).attr('id_cinegrafista');

    Confirmacao('Gostaria de apagar esté Cinegrafista?', function () {
      new ClassCinegrafista().Delete(id_cinegrafista);
    });


    return false;

  })

  // botão detalhes do Fotografo

  $('#btnDetalhesCine').on('click',
          function () {

            var id_cinegrafista = $(this).attr(
                    'id_cinegrafista');

            $('#pnDetalhes').dialog('open');

            Detalhes('cinegrafista/dados.php', 'id='
                    + id_cinegrafista);

            return false;

          })

  // ////////////////////////fotografo/////////////////////////

  // Box Localizar Fotografo

  $('#pnLocalizarFotografo').dialog({
    autoOpen: false,
    modal: true,
    resizable: false,
    height: 450, // altura

    width: 750
            // largura

  })

  // botão add Fototografo

  $('#btnAddFotografo').on('click', function () {

    $('#pnLocalizarFotografo').dialog('open');

    return false;

  })

  // Botão Localizar fotografo

  $('#btnLocalizarFotog').on('click', function () {

    var dados = $('#edtLocalizarFotog').val();

    new ClassFotografo().Localizar(dados);

    $('#edtLocalizarFotog').val('');

    return false;

  })

  // botão add fotografo

  $(document).on('click', '.btnLocalizadoFotog', function () {

    var id_fotografo = $(this).attr('id_iten');

    var Fotog = new ClassFotografo();

    Fotog.Insert(id_fotografo);

    $('#pnLocalizarFotografo').dialog('close');

    return false;

  })

  // botão deletar fotografo

  $(document).on('click', '#btnDelFotografo', function () {

    var id_fotografo = $(this).attr('id_fotografo');

    Confirmacao('Gostaria de apagar esté fotografo?', function () {
      new ClassFotografo().Delete(id_fotografo);
    });

    return false;

  })

  // botão detalhes do Fotografo

  $(document).on('click', '#btnDetalhesFotografo', function () {

    var id_fotografo = $(this).attr('id_fotografo');

    $('#pnDetalhes').dialog('open');

    Detalhes('fotografo/dados.php', 'id=' + id_fotografo);

    return false;

  })

  // ////////////////////////////////////fim
  // fotografo///////////////////////////

  // botão detalhes Local evento

  $('#btnDetLocalEvento').on('click', function () {

    var id_salao_igreja = $('#edtLocalEvento').attr('id_salao_igreja');

    if (id_salao_igreja) {
      $('#pnDetalhes').dialog('open');
      Detalhes('salao_igreja/dados.php', 'id=' + id_salao_igreja);
    } else {
      window.open('?p=salao_igreja/principal', '_blank');
    }

    return false;

  })

  // botão detalhes Local Festa

  $('#btnDetLocalFesta').on('click', function () {

    var id_salao_igreja = $('#edtLocalFesta').attr('id_salao_igreja');

    if (id_salao_igreja) {
      $('#pnDetalhes').dialog('open');
      Detalhes('salao_igreja/dados.php', 'id=' + id_salao_igreja);
    } else {
      window.open('?p=salao_igreja/principal', '_blank');
    }

    return false;

  })

  /* Ação do enter no localizar salão e igreja */
  jQuery('#edtLocalizarItens').bind('keydown.return', function (evt) {
    LocalizarItens($('#edtLocalizarItens').val());
    $('#edtLocalizarItens').val('');
    return false;

  });

  /* Fim Ação do enter no localizar salão e igreja */

  /* Ação do enter no localizar Fotografo */
  jQuery('#edtLocalizarFotog').bind('keydown.return', function (evt) {
    new ClassFotografo().Localizar($('#edtLocalizarFotog').val());
    $('#edtLocalizarFotog').val('');
    return false;
  })

  /***********************************************************
   * Fim Ação do enter no localizar Fotografo
   * 
   * 
   * 
   * 
   * 
   * 
   * 
   * /*Ação do enter no localizar Cinegrafista
   */
  jQuery('#edtLocalizarCine').bind('keydown.return', function (evt) {
    new ClassCinegrafista().Localizar($('#edtLocalizarCine').val());
    $('#edtLocalizarCine').val('');
    return false;
  })



  $('#pnDescricaoCancelamento').dialog({
    autoOpen: false,
    modal: true,
    resizable: false,
    height: 350, // altura
    width: 550, // largura
    buttons: {
      'Cancelar Contrato': function () {
        FuncaoMudaUsuario(function () {
          MudarUsuario(function () {
            CancelarContrato($('#edtObsCancelamento').val());
          });
        });
      },
      'Sair': function () {
        $(this).dialog('close');
      }
    }

  })


  jQuery(document).on('click', '#btnCancelarContrato', function () {
    Confirmacao('Gostaria Realmente de Cancelar este Contrato?', function () {
      $('#edtObsCancelamento').val('');
      $('#pnDescricaoCancelamento').dialog('open');
    })
    return false;
  });

  jQuery(document).on('click', '#btnCancelarEventoNovo', function () {
    Confirmacao('Gostaria Realmente de Cancelar este Contrato?', function () {
      $('#edtObsCancelamento').val('');
      $('#pnDescricaoCancelamento').dialog('open');
    })
    return false;
  });




  /***********************************************************
   * Fim Ação do enter no localizar Cinegrafista
   * 
   * 
   * 
   * 
   * 
   * 
   * 
   * 
   * 
   * 
   * 
   * 
   * 
   * 
   * 
   * 
   * 
   *  /* if($('#edtTipoEventoNumero').val() == '10' == '11' ==
   * '8'){
   * 
   *  $( "#tabs" ).tabs( "option", "disabled", [ 0, 1, 2, 3,
   * 4, 5, 6, 7 ,8, 9 ,10 ] );
   * 
   * 
   * 
   * $('#pnControle').hide('slow');
   * 
   *  }
   * 
   * 
   * 
   */

  // ////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
  // ////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
  // Seguinte
  // ////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////


  //Verifica o controle do website
  VerificarWebSiteConfig();

  //usar crtl+s para salvar este modo e para funcionar nos inputs e text area.
  var KeyDocument = $(document).add('input:text, textarea');
  KeyDocument.bind('keydown.Ctrl_s', function (evt) {
    SalvarEvento();
    return false;
  })

  $('#edtCodigoConf___').bind('keydown.return', function (evt) {
    NextUi('OK');
    return false;
  });

  switch ($('#edtTipoEventoNumero').val()) {

    case '10':
      $("#tabs").tabs("option", "disabled", [1, 2, 3, 4, 5, 6, 7]);// Atendimento
      $('#pnControle').hide('slow');
      //  $('#btnMudarTipoEvento').show('fast');
      break;

    case '11':
      $("#tabs").tabs("option", "disabled", [1, 2, 3, 4, 5, 6, 7]); // Compromisso
      // Pessoal
      $('#pnControle').hide('slow');
      //$('#btnMudarTipoEvento').show('fast');
      break;

    case '8':
      $("#tabs").tabs("option", "disabled", [4, 5, 7, 8, 9, 10]); // Free Lance
      $('#pnControle').hide('slow');
      //$('#btnMudarTipoEvento').show('fast');
      break;

    case '14':
      $("#tabs").tabs("option", "disabled", [1, 2, 3, 4, 5, 6, 7]);// Degustacao
      $('#pnControle').hide('slow');
      break;

    case '12':
      $("#tabs").tabs("option", "disabled", [4, 6, 7, 8, 9, 10]); // Salão de Festa

      $('#pnLocalEvento').hide('fast');

      $('.ocuto').hide('fast');

  }

}); // fim document

// ////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

// ////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

// ////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

// Função Seguinte

// ////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

function CarregarHistoricoTipoEvento(id_evento) {
  $.ajax({
    type: "POST",
    url: "evento/ax.evento.php",
    data: 'ax=HistoricoTipoEvento&id_evento=' + id_evento,
    success: function (R) {
      $("#pnHistTipoEvento").html(R).fadeIn('fast')
    }
  }); // fim ajax
}

function CarregarCancelamento(id_evento) {
  $.ajax({
    type: "POST",
    url: "evento/ax.evento.php",
    data: 'ax=SelectCancelamento&id_evento=' + id_evento,
    success: function (R) {
      $("#pnInformativoCancelamento").html(R)
    }
  }); // fim ajax
}


function CarregarComplemento(id_tipo_evento, id_evento) {
  var local;
  if (id_tipo_evento == 1)
    local = 'evento/se_aniversario.php';
  if (id_tipo_evento == 4)
    local = 'evento/se_casamento.php';
  if (id_tipo_evento == 12)
    local = 'evento/se_aniversario.php';
  if (id_tipo_evento == 13)
    local = 'evento/se_aniversario.php';

  if (local) {
    $.ajax({
      type: "POST",
      url: local,
      data: 'id_evento=' + id_evento,
      beforeSend: function () {
        $("#pnAdicionais").html('<img src="img/salvando.gif"/>').fadeIn('slow');
      },
      success: function (R) {
        $("#pnAdicionais").html(R).fadeIn('fast')
      }
    }); // fim ajax
  }
}

function ConfirmacaoCodigo(mensagem, aFuncaoLocal) {
  var numero;
  var codigo;

  numero = Math.floor(Math.random() * 999999);
  $('#pnCodigo__').html(numero);
  $('#pnConfMensagem___').html(mensagem);
  $('#edtCodigoConf___').val('');

  $('#pnConfirmacao___').dialog({
    modal: true,
    resizable: false,
    width: 350, // largura
    buttons: [{
        text: 'OK', //okText,
        click: function () {
          codigo = $('#edtCodigoConf___').val();
          if (codigo != numero) {
            show('Código inválido', '#edtCodigoConf___');
          } else {
            aFuncaoLocal();
            $(this).dialog("close");
          }
        }
      }, {
        text: 'Cancelar', //cancelText,
        click: function () {
          $(this).dialog("close");
        }
      }]

  });


}

// Salvar Evento

function SalvarEvento() {
  var furmulario = $('#formEvento').serialize();
  // Verifica Senha WebSite
  // if($('#edtWebSiteControle').val() != $('#edtWebSite').val()){
  // show('asdf');
  // }
  $.ajax({
    type: "POST",
    url: "evento/ax.evento.php",
    data: furmulario + '&ax=SalvarEvento',
    beforeSend: function () {
      $("#pnRetornoEvento").html('<img src="img/salvando.gif"/>').fadeIn('slow');
      $('#btnSalvarEvento').html('<img src="img/loadNew.gif"/><br> Salvando ');
    },
    success: function (R) {
      $("#pnRetornoEvento").html('Salvo com sucesso.').fadeIn('slow');
      $('#btnSalvarEvento').html('Salvar <br /> <span style="font-size:8px">Ctrl+S</span>');
      $("#pnRetornoEvento").addClass('ui-state-highlight ui-corner-all');
      runEffect('#pnRetornoEvento', 6, 6000);
    },
    error: function (R) {
      $("#pnRetornoEvento").html('Falha ao salvar verifique, ou tente novamente!').fadeIn('slow');
      $("#pnRetornoEvento").addClass('ui-state-error ui-corner-all');
    }
  }) // fim ajax

  return false;
  // ui-state-highlight ui-corner-all ok
  // ui-state-error ui-corner-all erro
}

// Localiza Local


//Função destinada para Produção de Albums
/*function InsertProducao(tipo_edicao){
 var id_evento = $('#id_evento').val();
 var funcionario = $('#boxLogin').html();
 $.ajax({
 type : "POST",
 url : "producao/ax.producao.php",
 data : '&ax=InsertProducao&id_evento='+id_evento+'&tipo_edicao='+tipo_edicao+'&funcionario='+funcionario,
 success : function(R) {},
 error : function(R) {}
 }) // fim ajax  
 
 }
 
 function UpdateProducao(nome_cliente, website){
 var id_evento = $('#id_evento').val();
 var funcionario = $('#boxLogin').html();
 $.ajax({
 type : "POST",
 url : "producao/ax.producao.php",
 data : '&ax=UpdateProducao&id_evento='+id_evento+'&statos=6'+'&funcionario='+funcionario+'&nome_cliente='+nome_cliente+'&website='+website,
 success : function(R) {},
 error : function(R) {}
 }) // fim ajax
 
 //$Producao->UpdateProducao($statos,$id_evento, $funcionario);  
 }*/



function LocalizarItens(LocalizarItens) {

  $.ajax({
    type: "POST",
    url: "salao_igreja/localizar_itens.php",
    data: 'ax=localizar&localizarItens=' + LocalizarItens,
    beforeSend: function () {
      $("#pnDadosLocalizador").html(Load()).fadeIn('slow');
    },
    success: function (R) {
      $("#pnDadosLocalizador").html(R).fadeIn('fast')
    }

  }) // fim ajax

  return false;

}

// Verifica WebSite

function VerificarWebsite(WebSite) {

  $
          .ajax({
            type: "POST",
            url: "evento/ax.evento.php",
            data: 'ax=WebSite&senha=' + WebSite,
            beforeSend: function () {
              $("#pnResultadoWebSite").html(
                      '<img src="img/salvando.gif"/>').fadeIn('slow');
            },
            success: function (R) {

              if (R == '0') {

                $("#pnResultadoWebSite")
                        .html('WebSite disponível<br><br>' +
                                '<button class="buttonPequeno" id="btnSalvarWebSite">Salvar WebSite</button>')
                        .fadeIn('slow');

                $("#pnResultadoWebSite").removeClass(
                        'ui-state-error ui-corner-all');

                $("#pnResultadoWebSite").addClass(
                        'ui-state-highlight ui-corner-all');

                // SalvarEvento();

                // $('#edtWebSiteControle').val($('#edtWebSite').val());

              }

              if (R == '1') {

                $("#pnResultadoWebSite").html('WebSite Indisponível')
                        .fadeIn('slow');

                $("#pnResultadoWebSite").removeClass(
                        'ui-state-highlight ui-corner-all');

                $("#pnResultadoWebSite").addClass(
                        'ui-state-error ui-corner-all');

              }

              // runEffect('#pnResultadoWebSite', 6, 10000);

            },
            error: function (R) {
              $("#pnRetornoEvento")
                      .html(
                              'Falha ao verifique o WebSite, ou tente novamente!')
                      .fadeIn('slow');

              $("#pnRetornoEvento").addClass(
                      'ui-state-error ui-corner-all');

            }

          }) // fim ajax

}

function AlterarWebSite(novoWebSite, velhoWebSite) {

  var id_evento = $('#id_evento').val();

  $.ajax({
    type: "POST",
    url: "evento/ax.evento.php",
    data: 'ax=AlterarWebSite&id_evento=' + id_evento + '&novoWebSite='
            + novoWebSite + '&velhoWebSite=' + velhoWebSite,
    beforeSend: function () {
      $("#pnResultadoWebSite").html('<img src="img/load_curto.gif"/>')
              .fadeIn('slow');
    },
    success: function (R) {
      $("#pnResultadoWebSite").html(R).fadeIn('slow');

      $('#pnVerificarWebSite').dialog('close');

    },
    error: function (R) {
      $("#pnResultadoWebSite").html(
              'Falha ao carregar, ou tente novamente!').fadeIn('slow');

      $("#pnResultadoWebSite").addClass('ui-state-error ui-corner-all');

    }

  }) // fim ajax

}

/*
 * //Carregar foto Picasa Capa
 * 
 * 
 * 
 * function CarregarUmaFotoPicasa(id_evento,nomeDiv, tamanho, perfil){
 * 
 * 
 * 
 * $.ajax({
 * 
 * 
 * 
 * type: "POST",
 * 
 * 
 * 
 * url: "evento/previa/ax.previa.php",
 * 
 * 
 * 
 * data:
 * 'ax=CarregarUmaFoto&tamanho='+tamanho+'&id_evento='+id_evento+'&perfil='+perfil,
 * 
 * 
 * 
 * beforeSend: function(){$(nomeDiv).html('<img
 * src="img/load_curto.gif"/>').fadeIn('slow');},
 * 
 * 
 * 
 * success: function(R){$(nomeDiv).html('<img class="sombra cantoredondo"
 * src="'+ R +'"/>').fadeIn('fast');},
 * 
 * 
 * 
 * error: function(R){ $(nomeDiv).html('Falha ao verifique o WebSite, ou tente
 * novamente!').fadeIn('slow');
 * 
 * 
 * 
 * $(nomeDiv).addClass('ui-state-error ui-corner-all');
 * 
 *  }
 * 
 *  }) //fim ajax
 * 
 * 
 * 
 * 
 * 
 *  }
 * 
 * 
 * 
 */

// carrga campo local evento
function CarregarLocalEvento() {

  var id_evento = $('#id_evento').val();

  $.ajax({
    type: "POST",
    url: "evento/ax.evento.php",
    data: 'ax=LocalEvento&id_evento=' + id_evento,
    beforeSend: function () {
      $("#pnLocalEvento").html('<img src="img/load_curto.gif"/>').fadeIn(
              'slow');
    },
    success: function (R) {
      $("#pnLocalEvento").html(R).fadeIn('slow');
    },
    error: function (R) {
      $("#pnLocalEvento").html('Falha ao carregar, ou tente novamente!')
              .fadeIn('slow');

      $("#pnLocalEvento").addClass('ui-state-error ui-corner-all');

    }

  }) // fim ajax

}

function InsertLocalEvento(id_salao_igreja) {

  var id_evento = $('#id_evento').val();

  $.ajax({
    type: "POST",
    url: "evento/ax.evento.php",
    data: 'ax=InsertLocalEvento&id_evento=' + id_evento
            + '&id_salao_igreja=' + id_salao_igreja,
    beforeSend: function () {
      $("#pnLocalEvento").html('<img src="img/load_curto.gif"/>').fadeIn(
              'slow');
    },
    success: function (R) {
      CarregarLocalEvento()
    },
    error: function (R) {
      $("#pnLocalEvento").html('Falha ao carregar, ou tente novamente!')
              .fadeIn('slow');

      $("#pnLocalEvento").addClass('ui-state-error ui-corner-all');

    }

  }) // fim ajax

}

function DeleteLocalEvento(id_salao_igreja) {

  var id_evento = $('#id_evento').val();

  $.ajax({
    type: "POST",
    url: "evento/ax.evento.php",
    data: 'ax=DeleteLocalEvento&id_evento=' + id_evento
            + '&id_salao_igreja=' + id_salao_igreja,
    beforeSend: function () {
      $("#pnLocalEvento").html('<img src="img/load_curto.gif"/>').fadeIn(
              'slow');
    },
    success: function (R) {
      CarregarLocalEvento()
    },
    error: function (R) {
      $("#pnLocalEvento").html('Falha ao carregar, ou tente novamente!')
              .fadeIn('slow');

      $("#pnLocalEvento").addClass('ui-state-error ui-corner-all');

    }

  }) // fim ajax

}

// carrga campo local festa

function CarregarLocalFesta() {

  var id_evento = $('#id_evento').val();

  $.ajax({
    type: "POST",
    url: "evento/ax.evento.php",
    data: 'ax=LocalFesta&id_evento=' + id_evento,
    beforeSend: function () {
      $("#pnLocalFesta").html('<img src="img/load_curto.gif"/>').fadeIn(
              'slow');
    },
    success: function (R) {
      $("#pnLocalFesta").html(R).fadeIn('slow');
    },
    error: function (R) {
      $("#pnLocalFesta").html('Falha ao carregar, ou tente novamente!')
              .fadeIn('slow');

      $("#pnLocalFesta").addClass('ui-state-error ui-corner-all');

    }

  }) // fim ajax

}

function InsertLocalFesta(id_salao_igreja) {

  var id_evento = $('#id_evento').val();

  $.ajax({
    type: "POST",
    url: "evento/ax.evento.php",
    data: 'ax=InsertLocalFesta&id_evento=' + id_evento
            + '&id_salao_igreja=' + id_salao_igreja,
    beforeSend: function () {
      $("#pnLocalFesta").html('<img src="img/load_curto.gif"/>').fadeIn(
              'slow');
    },
    success: function (R) {
      CarregarLocalFesta()
    },
    error: function (R) {
      $("#pnLocalFesta").html('Falha ao carregar, ou tente novamente!')
              .fadeIn('slow');

      $("#pnLocalFesta").addClass('ui-state-error ui-corner-all');

    }

  }) // fim ajax

}

function DeleteLocalFesta(id_salao_igreja) {

  var id_evento = $('#id_evento').val();

  $.ajax({
    type: "POST",
    url: "evento/ax.evento.php",
    data: 'ax=DeleteFesta&id_evento=' + id_evento + '&id_salao_igreja='
            + id_salao_igreja,
    beforeSend: function () {
      $("#pnLocalFesta").html('<img src="img/load_curto.gif"/>').fadeIn(
              'slow');
    },
    success: function (R) {
      CarregarLocalFesta()
    },
    error: function (R) {
      $("#pnLocalFesta").html('Falha ao carregar, ou tente novamente!')
              .fadeIn('slow');

      $("#pnLocalFesta").addClass('ui-state-error ui-corner-all');

    }

  }) // fim ajax

}

function CarregarEmail(id_evento) {

  $.ajax({
    type: "POST",
    url: "evento/email_cliente.php",
    data: 'id_evento=' + id_evento,
    beforeSend: function () {
      $("#pnEmail").html('<img src="img/load_curto.gif"/>')
              .fadeIn('slow');
    },
    success: function (R) {
      $("#pnEmail").html(R).fadeIn('slow')
    },
    error: function (R) {
      $("#pnEmail").html('Falha ao carregar, ou tente novamente!')
              .fadeIn('slow');

      $("#pnEmail").addClass('ui-state-error ui-corner-all');

    }

  }) // fim ajax

}

// insert email

function InsertEmail(id_evento, email) {

  $.ajax({
    type: "POST",
    url: "evento/ax.evento.php",
    data: 'ax=InsertEmail&id_evento=' + id_evento + '&email=' + email,
    beforeSend: function () {
      $("#pnEmail").html('<img src="img/load_curto.gif"/>')
              .fadeIn('slow');
    },
    success: function (R) {
      $("#pnEmail").html(CarregarEmail(id_evento))
    },
    error: function (R) {
      $("#pnEmail").html('Falha ao carregar, ou tente novamente!')
              .fadeIn('slow');

      $("#pnEmail").addClass('ui-state-error ui-corner-all');

    }

  }) // fim ajax

}

// deletar email

function DeletarEmail(id_evento_email, id_evento) {
  $.ajax({
    type: "POST",
    url: "evento/ax.evento.php",
    data: 'ax=DeletarEmail&id_evento_email=' + id_evento_email,
    beforeSend: function () {
      $("#pnEmail").html('<img src="img/load_curto.gif"/>')
              .fadeIn('slow');
    },
    success: function (R) {
      $("#pnEmail").html(CarregarEmail(id_evento))
    },
    error: function (R) {
      $("#pnEmail").html('Falha ao carregar, ou tente novamente!')
              .fadeIn('slow');

      $("#pnEmail").addClass('ui-state-error ui-corner-all');

    }

  }) // fim ajax

}

// Alterar email

function AlterarEmail(id_evento_email, email, id_evento) {

  $.ajax({
    type: "POST",
    url: "evento/ax.evento.php",
    data: 'ax=AlterarEmail&email=' + email + '&id_evento_email='
            + id_evento_email + '&id_evento=' + id_evento,
    beforeSend: function () {
      $("#pnEmail").html('<img src="img/load_curto.gif"/>')
              .fadeIn('slow');
    },
    success: function (R) {
      $("#pnEmail").html(CarregarEmail(id_evento))
    },
    error: function (R) {
      $("#pnEmail").html('Falha ao carregar, ou tente novamente!')
              .fadeIn('slow');

      $("#pnEmail").addClass('ui-state-error ui-corner-all');

    }

  }) // fim ajax

}

// class fotografo

function ClassFotografo() {

  var id_evento = $('#id_evento').val();

  this.Carregar = function (id_evento_) {

    $.ajax({
      type: "POST",
      url: "evento/fotografos.php",
      data: 'id_evento=' + id_evento_,
      beforeSend: function () {
        $("#pnFotografo").html('<img src="img/load_curto.gif"/>')
                .fadeIn('slow');
      },
      success: function (R) {
        $("#pnFotografo").html(R)
      },
      error: function (R) {
        $("#pnFotografo")
                .html('Falha ao carregar, ou tente novamente!').fadeIn(
                'slow');

        $("#pnFotografo").addClass('ui-state-error ui-corner-all');

      }

    }) // fim ajax

  }

  this.Localizar = function (dados) {

    $
            .ajax({
              type: "POST",
              url: "fotografo/localizar_itens.php",
              data: 'localizarItens=' + dados,
              beforeSend: function () {
                $("#pnResultadoFotog").html(
                        '<img src="img/load_curto.gif"/>').fadeIn(
                        'slow');
              },
              success: function (R) {
                $("#pnResultadoFotog").html(R)
              },
              error: function (R) {
                $("#pnResultadoFotog").html(
                        'Falha ao carregar, ou tente novamente!')
                        .fadeIn('slow');

                $("#pnResultadoFotog").addClass(
                        'ui-state-error ui-corner-all');

              }

            }) // fim ajax

  }

  this.Insert = function (id_fotografo) {

    $.ajax({
      type: "POST",
      url: "evento/ax.evento.php",
      data: 'ax=InsertFotografo&id_evento=' + id_evento
              + '&id_fotografo=' + id_fotografo,
      beforeSend: function () {
        $("#pnFotografo").html('<img src="img/load_curto.gif"/>')
                .fadeIn('slow');
      },
      success: function (R) {
        $("#pnFotografo")
                .html(new ClassFotografo().Carregar(id_evento))
      },
      error: function (R) {
        $("#pnFotografo")
                .html('Falha ao carregar, ou tente novamente!').fadeIn(
                'slow');

        $("#pnFotografo").addClass('ui-state-error ui-corner-all');

      }

    }) // fim ajax

  }

  this.Delete = function (id_fotografo) {

    $.ajax({
      type: "POST",
      url: "evento/ax.evento.php",
      data: 'ax=DeleteFotografo&id_evento=' + id_evento
              + '&id_fotografo=' + id_fotografo,
      beforeSend: function () {
        $("#pnFotografo").html('<img src="img/load_curto.gif"/>')
                .fadeIn('slow');
      },
      success: function (R) {
        $("#pnFotografo")
                .html(new ClassFotografo().Carregar(id_evento))
      },
      error: function (R) {
        $("#pnFotografo")
                .html('Falha ao carregar, ou tente novamente!').fadeIn(
                'slow');

        $("#pnFotografo").addClass('ui-state-error ui-corner-all');

      }

    }) // fim ajax

  }

} // fim class fototografo

// Class Cinegrafista

function ClassCinegrafista() {

  var id_evento = $('#id_evento').val();

  this.Carregar = function (id_evento_) {

    $.ajax({
      type: "POST",
      url: "evento/cinegrafista.php",
      data: 'id_evento=' + id_evento_,
      beforeSend: function () {
        $("#pnCinegrafista").html('<img src="img/load_curto.gif"/>')
                .fadeIn('slow');
      },
      success: function (R) {
        $("#pnCinegrafista").html(R)
      },
      error: function (R) {
        $("#pnCinegrafista").html(
                'Falha ao carregar, ou tente novamente!')
                .fadeIn('slow');

        $("#pnCinegrafista").addClass('ui-state-error ui-corner-all');

      }

    }) // fim ajax

  }

  this.Localizar = function (dados) {

    $.ajax({
      type: "POST",
      url: "cinegrafista/localizar_itens.php",
      data: 'localizarItens=' + dados,
      beforeSend: function () {
        $("#pnResultadoCine").html('<img src="img/load_curto.gif"/>')
                .fadeIn('slow');
      },
      success: function (R) {
        $("#pnResultadoCine").html(R)
      },
      error: function (R) {
        $("#pnResultadoCine").html(
                'Falha ao carregar, ou tente novamente!')
                .fadeIn('slow');

        $("#pnResultadoCine").addClass('ui-state-error ui-corner-all');

      }

    }) // fim ajax

  }

  this.Insert = function (id_cinegrafista) {

    $.ajax({
      type: "POST",
      url: "evento/ax.evento.php",
      data: 'ax=InsertCinegrafista&id_evento=' + id_evento
              + '&id_cinegrafista=' + id_cinegrafista,
      beforeSend: function () {
        $("#pnCinegrafista").html('<img src="img/load_curto.gif"/>')
                .fadeIn('slow');
      },
      success: function (R) {
        $("#").html(new ClassCinegrafista().Carregar(id_evento))
      },
      error: function (R) {
        $("#pnCinegrafista").html(
                'Falha ao carregar, ou tente novamente!')
                .fadeIn('slow');

        $("#pnCinegrafista").addClass('ui-state-error ui-corner-all');

      }

    }) // fim ajax

  }

  this.Delete = function (id_cinegrafista) {

    $.ajax({
      type: "POST",
      url: "evento/ax.evento.php",
      data: 'ax=DeleteCinegrafista&id_evento=' + id_evento
              + '&id_cinegrafista=' + id_cinegrafista,
      beforeSend: function () {
        $("#pnCinegrafista").html('<img src="img/load_curto.gif"/>')
                .fadeIn('slow');
      },
      success: function (R) {
        $("#pnCinegrafista").html(
                new ClassCinegrafista().Carregar(id_evento))
      },
      error: function (R) {
        $("#pnCinegrafista").html(
                'Falha ao carregar, ou tente novamente!')
                .fadeIn('slow');

        $("#pnCinegrafista").addClass('ui-state-error ui-corner-all');

      }

    }) // fim ajax

  }

} // fim class fototografo

function runEffect(AplicarEfentoOnde, efeito, tempo) {

  var efeito_ = ['blind', 'bounce', 'clip', 'drop', 'explode', 'fold',
    'highlight', 'puff', 'pulsate', 'scale', 'shake', 'size', 'slide'];

  var selectedEffect = efeito_[efeito];

  var options = {};

  if (selectedEffect === "scale") {

    options = {
      percent: 0
    };

  } else if (selectedEffect === "size") {

    options = {
      to: {
        width: 200,
        height: 60
      }
    };

  }

  $(AplicarEfentoOnde).hide(selectedEffect, options, tempo);

}
;

function Detalhes(pasta, dados) {

  $.ajax({
    type: "POST",
    url: pasta,
    data: dados,
    beforeSend: function () {
      $("#pnDetalhes").html(Load()).fadeIn('slow');
    },
    success: function (R) {
      $("#pnDetalhes").html(R)
    },
    error: function (R) {
      $("#pnDetalhes").html('Falha ao carregar, ou tente novamente!')
              .fadeIn('slow');

      $("#pnDetalhes").addClass('ui-state-error ui-corner-all');

    }

  }) // fim ajax

}

// / Botoes do X9

function CarregarControleBotao() {

  id_evento = $('#id_evento').val();

  $.ajax({
    type: "POST",
    url: "website/ax.website.php",
    data: 'ax=CarregarControleBotao&id_evento=' + id_evento,
    beforeSend: function () {
      $("#ScriptControBotao").html('...').fadeIn('slow');
    },
    success: function (R) {
      $("#ScriptControBotao").html(R);
      Aguarde(false);
    },
    error: function (R) {
      $("#ScriptControBotao").html(
              'Falha ao carregar, ou tente novamente!').fadeIn('slow');

      $("#ScriptControBotao").html('ui-state-error ui-corner-all');

    }

  }) // fim ajax

}

function AlterarEstadoBotao(onde, stado) {
  id_evento = $('#id_evento').val();
  $.ajax({
    type: "POST",
    url: "website/ax.website.php",
    data: 'ax=AlterarEstadoBotao&id_evento=' + id_evento + '&onde=' + onde + '&stado=' + stado,
    beforeSend: function () {
      $("#ScriptControBotao").html('...').fadeIn('slow');
    },
    success: function (R) {
      $("#ScriptControBotao").html(R)
    },
    error: function (R) {
      $("#ScriptControBotao").html('Falha ao carregar, ou tente novamente!').fadeIn('slow');
      $("#ScriptControBotao").html('ui-state-error ui-corner-all');

    }

  }) // fim ajax
}

function AlterarEstadoBotaoAll(btnAmpliacao, btnBioombo, btnOutros, btnAlbum, btnCapa) {
  id_evento = $('#id_evento').val();
  $.ajax({
    type: "POST",
    url: "website/ax.website.php",
    data: 'ax=AlterarEstadoBotaoAll&id_evento=' + id_evento + '&btnAmpliacao=' + btnAmpliacao + '&btnBioombo=' + btnBioombo +
            '&btnOutros=' + btnOutros + '&btnAlbum=' + btnAlbum + '&btnCapa=' + btnCapa,
    success: function (R) {
      CarregarControleBotao();
    },
    error: function (R) {
      $("#ScriptControBotao").html('Falha ao carregar, ou tente novamente!').fadeIn('slow');
      $("#ScriptControBotao").html('ui-state-error ui-corner-all');

    }

  }) // fim ajax
}


function MudarTipoEvento(id_tipo_evento, usuario, tipo_evento_atual) {
  id_evento = $('#id_evento').val();
  $.ajax({
    type: "POST",
    url: "evento/ax.evento.php",
    data: 'ax=MudarTipoEvento&id_evento=' + id_evento + '&id_tipo_evento=' + id_tipo_evento + '&usuario=' + usuario + '&tipo_evento_atual=' + tipo_evento_atual,
    beforeSend: function () {
      $("#ScriptControBotao").html(Load()).fadeIn('slow');
    },
    success: function (R) {
      $('#pnAlterarTipoEvento').dialog('close');
      location = 'index.php?p=evento/principal&id_evento=' + id_evento;
    },
    error: function (R) {
      $("#pnAlterarTipoEvento").html('Falha ao carregar, ou tente novamente!').fadeIn('slow');
      $("#pnAlterarTipoEvento").html('ui-state-error ui-corner-all');

    }

  }) // fim ajax

}



function ConsultaEvento(data) {
  $.ajax({
    type: "POST",
    url: "evento/previa/consulta_previa.php",
    data: 'data=' + data,
    beforeSend: function () {
      $("#pnResultadoAlterar").html(Load()).fadeIn('slow');
    },
    success: function (R) {
      $("#pnResultadoAlterar").html(R).fadeIn('slow');
    },
    error: function (R) {
      $("#pnResultadoAlterar").html('Falha ao verifique o WebSite, ou tente novamente!').fadeIn('slow');
      $("#pnResultadoAlterar").addClass('ui-state-error ui-corner-all');
    }
  }) //fim ajax

}



function AlterarDataEvento(dataAntiga, dataNova, usuario) {
  var id_evento = $('#id_evento').val();
  $.ajax({
    type: "POST",
    url: "evento/ax.evento.php",
    data: 'ax=AlterarDataEvento&id_evento=' + id_evento + '&dataNova=' + dataNova + '&usuario=' + usuario + '&dataAntiga=' + dataAntiga,
    beforeSend: function () {
      $("#pnResultadoAlterar").html(Load()).fadeIn('slow');
    },
    success: function (R) {
      $('#pnAlterarData').dialog('close');
      $("#pnResultadoAlterar").html('');
      $('#edtDataEvento').val(dataNova);
      CarregarHistoricoData(id_evento);
    },
    error: function (R) {
      $("#pnResultadoAlterar").html('Falha ao carregar, ou tente novamente!').fadeIn('slow');
      $("#pnResultadoAlterar").html('ui-state-error ui-corner-all');

    }

  }) // fim ajax

}

function CarregarHistoricoData(id_evento) {
  $.ajax({
    type: "POST",
    url: "evento/ax.evento.php",
    data: 'ax=HistoricoData&id_evento=' + id_evento,
    success: function (R) {
      $("#pnHistoricoData").html(R).show();
    },
    error: function (R) {
      $("#pnHistoricoData").html('Falha ao carregar, ou tente novamente!').fadeIn('slow');
      $("#pnHistoricoData").html('ui-state-error ui-corner-all');

    }

  }) // fim ajax
}

function NaoQueroWebSite(web_site_config) {
  var id_evento = $('#id_evento').val();
  $.ajax({
    type: "POST",
    url: "evento/ax.evento.php",
    data: 'ax=NaoQueroWebSite&id_evento=' + id_evento + '&web_site_config=' + web_site_config

  }) // fim ajax
}

function VerificarWebSiteConfig() {
  var WebSiteConfig = $('#edtWebSiteConfig').val();

  if (WebSiteConfig == 'N') {
    $("#tabs").tabs("option", "disabled", [4]);
    $('#edtWebSite').css({background: "#f0f0f0", borderColor: "#aec1d0"});
  }


  if (WebSiteConfig == 'S') {
    $("#tabs").tabs("enable", 4);
    $('#edtWebSite').css({background: "#ffffff", borderColor: "#899caa"});
  }

}


function CancelarContrato(obs) {
  var id_evento = $('#id_evento').val();
  var usuario = $('#boxLogin').html();
  $.ajax({
    type: "POST",
    url: "evento_cancelado/ax.evento_cancelado.php",
    data: 'ax=CancelarContrato&id_evento=' + id_evento + '&obs=' + obs + '&usuario=' + usuario,
    beforeSend: function () {
      $("#pnDescricaoCancelamento").html(Load());
    },
    success: function (R) {
      $('#pnDescricaoCancelamento').dialog('close');
      location = 'index.php?p=evento/principal&id_evento=' + id_evento;
    },
    error: function (R) {
      $("#pnDescricaoCancelamento").html('Falha ao carregar, ou tente novamente!').fadeIn('slow');
      $("#pnDescricaoCancelamento").html('ui-state-error ui-corner-all');

    }

  }) // fim ajax
}
